Index: branches/new_class_id/src/world_entities/weapons/aim.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aim.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/aim.cc	(revision 9715)
@@ -29,5 +29,5 @@
 
 
-NewObjectListDefinition(Aim);
+ObjectListDefinition(Aim);
 
 /**
Index: branches/new_class_id/src/world_entities/weapons/aim.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aim.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/aim.h	(revision 9715)
@@ -29,5 +29,5 @@
 class Aim : public PNode, public Element2D
 {
-  NewObjectListDeclaration(Aim);
+  ObjectListDeclaration(Aim);
 
 public:
Index: branches/new_class_id/src/world_entities/weapons/aiming_system.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aiming_system.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/aiming_system.cc	(revision 9715)
@@ -30,5 +30,5 @@
 
 
-NewObjectListDefinition(AimingSystem);
+ObjectListDefinition(AimingSystem);
 
 /**
Index: branches/new_class_id/src/world_entities/weapons/aiming_system.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aiming_system.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/aiming_system.h	(revision 9715)
@@ -21,5 +21,5 @@
 class AimingSystem : public WorldEntity
 {
-  NewObjectListDeclaration(AimingSystem);
+  ObjectListDeclaration(AimingSystem);
 
  public:
Index: branches/new_class_id/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aiming_turret.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/aiming_turret.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(AimingTurret, CL_AIMING_TURRET);
+ObjectListDefinitionID(AimingTurret, CL_AIMING_TURRET);
 CREATE_FACTORY(AimingTurret);
 
Index: branches/new_class_id/src/world_entities/weapons/aiming_turret.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aiming_turret.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/aiming_turret.h	(revision 9715)
@@ -13,5 +13,5 @@
 class AimingTurret : public Weapon
 {
-  NewObjectListDeclaration(AimingTurret);
+  ObjectListDeclaration(AimingTurret);
 
 public:
Index: branches/new_class_id/src/world_entities/weapons/ammo_container.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/ammo_container.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/ammo_container.cc	(revision 9715)
@@ -23,10 +23,10 @@
 
 
-NewObjectListDefinition(AmmoContainer);
+ObjectListDefinition(AmmoContainer);
 /**
  * standard constructor
  * @todo this constructor is not jet implemented - do it
 */
-AmmoContainer::AmmoContainer (const NewClassID& projectileType, float maxEnergy)
+AmmoContainer::AmmoContainer (const ClassID& projectileType, float maxEnergy)
 {
   this->registerObject(this, AmmoContainer::_objectList);
Index: branches/new_class_id/src/world_entities/weapons/ammo_container.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/ammo_container.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/ammo_container.h	(revision 9715)
@@ -17,12 +17,12 @@
 //! A class for Storing energy of Projectiles.
 class AmmoContainer : public BaseObject {
-  NewObjectListDeclaration(AmmoContainer);
+  ObjectListDeclaration(AmmoContainer);
 
  public:
-  AmmoContainer(const NewClassID& id, float maxEnergy = DEFAULT_MAX_ENERGY);
+  AmmoContainer(const ClassID& id, float maxEnergy = DEFAULT_MAX_ENERGY);
   virtual ~AmmoContainer();
 
   bool operator=(int projectileType) const { return (this->projectileType == projectileType); };
-  NewClassID getProjectileType() const { return this->projectileType; };
+  ClassID getProjectileType() const { return this->projectileType; };
 
   float increaseEnergy(float energy);
@@ -42,5 +42,5 @@
    float  maxEnergy;
 
-   NewClassID projectileType;
+   ClassID projectileType;
 };
 
Index: branches/new_class_id/src/world_entities/weapons/boomerang_gun.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/boomerang_gun.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/boomerang_gun.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(BoomerangGun, CL_BOOMERANG_GUN);
+ObjectListDefinitionID(BoomerangGun, CL_BOOMERANG_GUN);
 CREATE_FACTORY(BoomerangGun);
 
Index: branches/new_class_id/src/world_entities/weapons/boomerang_gun.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/boomerang_gun.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/boomerang_gun.h	(revision 9715)
@@ -11,5 +11,5 @@
 class BoomerangGun : public Weapon
   {
-    NewObjectListDeclaration(BoomerangGun);
+    ObjectListDeclaration(BoomerangGun);
   public:
     BoomerangGun ();
Index: branches/new_class_id/src/world_entities/weapons/cannon.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/cannon.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/cannon.cc	(revision 9715)
@@ -37,5 +37,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Cannon, CL_CANNON);
+ObjectListDefinitionID(Cannon, CL_CANNON);
 CREATE_FACTORY(Cannon);
 
Index: branches/new_class_id/src/world_entities/weapons/cannon.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/cannon.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/cannon.h	(revision 9715)
@@ -12,5 +12,5 @@
 class Cannon : public Weapon
   {
-    NewObjectListDeclaration(Cannon);
+    ObjectListDeclaration(Cannon);
   public:
     Cannon ();
Index: branches/new_class_id/src/world_entities/weapons/crosshair.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/crosshair.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/crosshair.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 
-NewObjectListDefinition(Crosshair);
+ObjectListDefinition(Crosshair);
 /**
  * standart constructor
Index: branches/new_class_id/src/world_entities/weapons/crosshair.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/crosshair.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/crosshair.h	(revision 9715)
@@ -22,5 +22,5 @@
 //! A class that enables the
 class Crosshair : public PNode, public Element2D, public EventListener {
-  NewObjectListDeclaration(Crosshair);
+  ObjectListDeclaration(Crosshair);
  public:
   Crosshair(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9715)
@@ -40,5 +40,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(FPSSniperRifle, CL_FPS_SNIPER_RIFLE);
+ObjectListDefinitionID(FPSSniperRifle, CL_FPS_SNIPER_RIFLE);
 CREATE_FACTORY(FPSSniperRifle);
 
Index: branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.h	(revision 9715)
@@ -39,5 +39,5 @@
 class FPSSniperRifle : public Weapon
   {
-    NewObjectListDeclaration(FPSSniperRifle);
+    ObjectListDeclaration(FPSSniperRifle);
 
   public:
Index: branches/new_class_id/src/world_entities/weapons/hyperblaster.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/hyperblaster.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/hyperblaster.cc	(revision 9715)
@@ -36,5 +36,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Hyperblaster, CL_HYPERBLASTER);
+ObjectListDefinitionID(Hyperblaster, CL_HYPERBLASTER);
 CREATE_FACTORY(Hyperblaster);
 
Index: branches/new_class_id/src/world_entities/weapons/hyperblaster.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/hyperblaster.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/hyperblaster.h	(revision 9715)
@@ -12,5 +12,5 @@
 class Hyperblaster : public Weapon
   {
-    NewObjectListDeclaration(Hyperblaster);
+    ObjectListDeclaration(Hyperblaster);
     public:
     Hyperblaster (const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/weapons/laser_cannon.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/laser_cannon.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/laser_cannon.cc	(revision 9715)
@@ -32,5 +32,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(LaserCannon, CL_LASER_CANNON);
+ObjectListDefinitionID(LaserCannon, CL_LASER_CANNON);
 CREATE_FACTORY(LaserCannon);
 
Index: branches/new_class_id/src/world_entities/weapons/laser_cannon.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/laser_cannon.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/laser_cannon.h	(revision 9715)
@@ -29,5 +29,5 @@
 class LaserCannon : public Weapon
   {
-    NewObjectListDeclaration(LaserCannon);
+    ObjectListDeclaration(LaserCannon);
     public:
     LaserCannon (const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/targeting_turret.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/targeting_turret.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(TargetingTurret, CL_TARGETING_TURRET);
+ObjectListDefinitionID(TargetingTurret, CL_TARGETING_TURRET);
 CREATE_FACTORY(TargetingTurret);
 
Index: branches/new_class_id/src/world_entities/weapons/targeting_turret.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/targeting_turret.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/targeting_turret.h	(revision 9715)
@@ -12,5 +12,5 @@
 class TargetingTurret : public Weapon
 {
-  NewObjectListDeclaration(TargetingTurret);
+  ObjectListDeclaration(TargetingTurret);
 public:
   TargetingTurret(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/weapons/test_gun.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/test_gun.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/test_gun.cc	(revision 9715)
@@ -34,5 +34,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(TestGun, CL_TEST_GUN);
+ObjectListDefinitionID(TestGun, CL_TEST_GUN);
 CREATE_FACTORY(TestGun);
 /**
Index: branches/new_class_id/src/world_entities/weapons/test_gun.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/test_gun.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/test_gun.h	(revision 9715)
@@ -37,5 +37,5 @@
 class TestGun : public Weapon
   {
-    NewObjectListDeclaration(TestGun);
+    ObjectListDeclaration(TestGun);
   public:
     TestGun (int leftRight);
Index: branches/new_class_id/src/world_entities/weapons/turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/turret.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/turret.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Turret, CL_TURRET);
+ObjectListDefinitionID(Turret, CL_TURRET);
 CREATE_FACTORY(Turret);
 
Index: branches/new_class_id/src/world_entities/weapons/turret.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/turret.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/turret.h	(revision 9715)
@@ -11,5 +11,5 @@
 class Turret : public Weapon
   {
-    NewObjectListDeclaration(Turret);
+    ObjectListDeclaration(Turret);
   public:
     Turret ();
Index: branches/new_class_id/src/world_entities/weapons/weapon.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/weapon.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/weapon.cc	(revision 9715)
@@ -35,5 +35,5 @@
 #include "elements/glgui_energywidget.h"
 
-NewObjectListDefinition(Weapon);
+ObjectListDefinition(Weapon);
 
 ////////////////////
@@ -72,5 +72,5 @@
  * @returns the newly created Weapon.
  */
-Weapon* Weapon::createWeapon(const NewClassID& weaponID)
+Weapon* Weapon::createWeapon(const ClassID& weaponID)
 {
   BaseObject* createdObject = Factory::fabricate(weaponID);
@@ -179,5 +179,5 @@
  * What it does, is telling the Weapon what Projectiles it can Emit.
  */
-void Weapon::setProjectileType(const NewClassID& projectile)
+void Weapon::setProjectileType(const ClassID& projectile)
 {
   this->projectile = projectile;
Index: branches/new_class_id/src/world_entities/weapons/weapon.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/weapon.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/weapon.h	(revision 9715)
@@ -83,5 +83,5 @@
 class Weapon : public WorldEntity
 {
-  NewObjectListDeclaration(Weapon);
+  ObjectListDeclaration(Weapon);
 
   public:
@@ -89,5 +89,5 @@
     Weapon ();
     virtual ~Weapon ();
-    static Weapon* createWeapon(const NewClassID& weaponID);
+    static Weapon* createWeapon(const ClassID& weaponID);
     static Weapon* createWeapon(const std::string& weaponName);
 
@@ -113,8 +113,8 @@
     /** @returns the Capabilities of this Weapon */
     inline long getCapability() const { return this->capability; };
-    void setProjectileType(const NewClassID& projectile);
+    void setProjectileType(const ClassID& projectile);
     void setProjectileTypeC(const std::string& projectile);
     /** @returns The projectile's classID */
-    inline NewClassID getProjectileType() { return this->projectile; };
+    inline ClassID getProjectileType() { return this->projectile; };
     /** @returns the FastFactory, that creates Projectiles of type getProjectile */
     inline FastFactory* getProjectileFactory() { return this->projectileFactory; };
@@ -233,5 +233,5 @@
     bool                   chargeable;                      //!< if the Weapon is charcheable (if true, the weapon will charge before it fires.)
 
-    NewClassID                projectile;                      //!< the projectile used for this weapon (since they should be generated via macro and the FastFactory, only the ClassID must be known.)
+    ClassID                projectile;                      //!< the projectile used for this weapon (since they should be generated via macro and the FastFactory, only the ClassID must be known.)
     FastFactory*           projectileFactory;               //!< A factory, that produces and handles the projectiles.
   };
Index: branches/new_class_id/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/weapon_manager.cc	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/weapon_manager.cc	(revision 9715)
@@ -31,5 +31,5 @@
 
 
-NewObjectListDefinition(WeaponManager);
+ObjectListDefinition(WeaponManager);
 /**
  * @brief this initializes the weaponManager for a given nnumber of weapon slots
@@ -311,5 +311,5 @@
  * @param ammo the ammo to increase
  */
-float WeaponManager::increaseAmmunition(const NewClassID& projectileType, float ammo)
+float WeaponManager::increaseAmmunition(const ClassID& projectileType, float ammo)
 {
   return this->getAmmoContainer(projectileType)->increaseEnergy(ammo);
@@ -523,5 +523,5 @@
 }
 
-CountPointer<AmmoContainer>& WeaponManager::getAmmoContainer(const NewClassID& projectileType)
+CountPointer<AmmoContainer>& WeaponManager::getAmmoContainer(const ClassID& projectileType)
 {
   for (unsigned int i = 0; i < this->ammo.size(); i++)
Index: branches/new_class_id/src/world_entities/weapons/weapon_manager.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/weapon_manager.h	(revision 9709)
+++ branches/new_class_id/src/world_entities/weapons/weapon_manager.h	(revision 9715)
@@ -39,5 +39,5 @@
  */
 class WeaponManager : public BaseObject {
-  NewObjectListDeclaration(WeaponManager);
+  ObjectListDeclaration(WeaponManager);
 
   //! an enumerator defining a Slot, where a Weapon can be stored inside.
@@ -90,5 +90,5 @@
     void changeWeaponConfig(int weaponConfig);
 
-    float increaseAmmunition(const NewClassID& projectileType, float ammo);
+    float increaseAmmunition(const ClassID& projectileType, float ammo);
     float inclreaseAmmunition(const Weapon* weapon, float ammo);
 
@@ -107,5 +107,5 @@
  // private:
     int getNextFreeSlot(int configID, long capability = WTYPE_ALL);
-    CountPointer<AmmoContainer>& getAmmoContainer(const NewClassID& projectileType);
+    CountPointer<AmmoContainer>& getAmmoContainer(const ClassID& projectileType);
     CountPointer<AmmoContainer>& getAmmoContainer(const Weapon* weapon);
 
